Project

General

Profile

Bug #11110

Document alternative Synaptic dialog with software-properties-gtk

Added by sajolida almost 4 years ago. Updated over 2 years ago.

Status:
Resolved
Priority:
Elevated
Assignee:
-
Category:
Installation
Target version:
Start date:
02/12/2016
Due date:
% Done:

100%

Feature Branch:
doc/11110-software-properties-gtk
Type of work:
End-user documentation
Blueprint:
Starter:
Affected tool:
Installation Assistant

Description

Someone reported that the installation instructions on /install/usb/debian are incorrect if software-properties-gtk is installed. A different dialog is displayed in Settings ▸ Repositories that has no "New" button.

Note that this package is not installed by default on Debian Jessie.

Some more info was initially posted on #12387.


Related issues

Related to Tails - Feature #11706: Test /install/debian/usb in Debian Stretch Resolved 08/24/2016
Related to Tails - Bug #12372: Get software-properties-gtk starting / fix /etc/os-release Confirmed 03/18/2017
Duplicated by Tails - Bug #12387: Update doc for Tails Installer in Debian Stretch Duplicate 03/19/2017

Associated revisions

Revision e6aaa3fc
Added by sajolida over 2 years ago

Merge branch 'doc/11110-software-properties-gtk' into feature/stretch (Closes: #11110)

History

#1 Updated by sajolida over 3 years ago

  • Target version deleted (Tails_2.2)

#2 Updated by sajolida over 3 years ago

  • Assignee deleted (sajolida)

#3 Updated by sajolida about 3 years ago

  • Assignee set to sajolida
  • Target version set to Tails_3.0

I got this by default in my Sid VM so maybe it will come by default in Stretch.

#4 Updated by intrigeri almost 3 years ago

My 2 bits: on current Debian sid, gnome-core depends on gnome-software, and gnome-software depends on software-properties-gtk, so any GNOME desktop will expose this problem on Stretch.

#5 Updated by intrigeri over 2 years ago

  • Priority changed from Normal to Elevated

#6 Updated by intrigeri over 2 years ago

  • Duplicated by Bug #12387: Update doc for Tails Installer in Debian Stretch added

#7 Updated by intrigeri over 2 years ago

  • Description updated (diff)
  • Status changed from Confirmed to In Progress
  • % Done changed from 0 to 10

#8 Updated by intrigeri over 2 years ago

  • Related to Feature #11706: Test /install/debian/usb in Debian Stretch added

#9 Updated by sajolida over 2 years ago

  • Target version changed from Tails_3.0 to Tails_3.0~rc1

#10 Updated by sajolida over 2 years ago

  • Related to Bug #12372: Get software-properties-gtk starting / fix /etc/os-release added

#11 Updated by sajolida over 2 years ago

  • Assignee changed from sajolida to spriver
  • Feature Branch set to doc/11110-software-properties-gtk

spriver: Can you have a look or do you prefer if I find someone else?

#12 Updated by sajolida over 2 years ago

  • QA Check set to Ready for QA

#13 Updated by spriver over 2 years ago

  • Assignee changed from spriver to sajolida
  • Feature Branch changed from doc/11110-software-properties-gtk to spriver:doc/11110-software-properties-gtk

I made two edits, but nevertheless there's a problem when running apt update or updating the lists via synaptic with the newly added "stable-backports" repo on both Jessie and Wheezy systems:

"Conflicting distribution: http://http.debian.net stable-backports InRelease (expected stable-backports but got jessie-backports)"

Shall we then point directly to e.g. stretch-backports then as it won't cause errors?

Otherwise I'm fine with your changes (:

#14 Updated by intrigeri over 2 years ago

"Conflicting distribution: http://http.debian.net stable-backports InRelease (expected stable-backports but got jessie-backports)"

It feels wrong if we're instructing anyone to do things that would enable such an APT source.

#15 Updated by sajolida over 2 years ago

  • QA Check changed from Ready for QA to Dev Needed

So I understand that:

  • This is problematic: deb http://http.debian.net/debian/ stable-backports main
  • This is fine: deb http://http.debian.net/debian/ stretch-backports main

I'll have a second look, keeping in mind that people are not going to upgrade to Stretch immediately after the release and that having a fallback for people on Jessie will be important.

#16 Updated by sajolida over 2 years ago

  • Assignee changed from sajolida to intrigeri
  • QA Check changed from Dev Needed to Ready for QA
  • Feature Branch changed from spriver:doc/11110-software-properties-gtk to doc/11110-software-properties-gtk

Glad that you found two important mistakes in my doc :)

I rewrote the problematic section with an alternative between Jessie and Stretch.

Assigning to intrigeri now that the language has been review, so he can check the technical correctness.

#17 Updated by intrigeri over 2 years ago

  • Assignee changed from intrigeri to sajolida
  • QA Check changed from Ready for QA to Info Needed

Did I understand correctly that we're only documenting (b3abc443cd805d544ee6c439e74674ebdb203eb5) for Jessie the case when software-properties-gtk is not installed, on the grounds that "software-properties-gtk is installed by default on Stretch"? If yes, then:

  • it's correct for a Stretch installation with the GNOME desktop (I've just double-checked the dependencies);
  • it's not obvious to me that it's correct for a Stretch system when another, non-GNOME desktop was chosen during installation.

Do we care about the second case? IMO we should: last time I saw some stats, even though GNOME was installed on the majority of desktop installations, there were also substantial amounts of people running e.g. XFCE or KDE and not having GNOME installed. If we do care about this case, then either the "software-properties-gtk is installed by default on Stretch" assumption must be verified for non-GNOME desktop installations, or the doc adjusted to work in all cases.

#18 Updated by intrigeri over 2 years ago

  • Target version changed from Tails_3.0~rc1 to Tails_3.0

#19 Updated by sajolida over 2 years ago

  • QA Check changed from Info Needed to Dev Needed

Ah damn, you're right :(

I'll rewrite that...

#20 Updated by sajolida over 2 years ago

  • Assignee changed from sajolida to spriver
  • QA Check changed from Dev Needed to Ready for QA

Done in 5b7018b28a. Since the beginning I tried to avoid document it this way because it creates three imbricated levels of lists. But well, in the end it seems to be the only possible way. I hope it's not too hard to read.

spriver: This should be your last review for the 3.0 update!!! (Apart from the releate notes but that's not now.)

#21 Updated by spriver over 2 years ago

  • Assignee changed from spriver to sajolida
  • Feature Branch changed from doc/11110-software-properties-gtk to spriver:doc/11110-software-properties-gtk

Found one (actually two) typos. Otherwise it looks good to me.

One oddity I found:
We're now saying "If the Repositories dialog has/has no tabs:", but actually the window is titled "Software & Updates" when software-properties-gtk is installed. But I think it's okay to call it also the Repository dialog, as it's opened when the Repositories menu is opened from the Settings menu. If this is not okay, this should be adapted accordingly to the actual title of each window.

#22 Updated by sajolida over 2 years ago

  • Status changed from In Progress to Resolved
  • Assignee deleted (sajolida)
  • % Done changed from 10 to 100
  • QA Check deleted (Ready for QA)
  • Feature Branch changed from spriver:doc/11110-software-properties-gtk to doc/11110-software-properties-gtk

Thanks for spotting that out. I've been quite hard for me to document all this without being able to manipulate these dialogs (due to #12372).

So I adjusted this with ad898ab7e6 and it should now be even easier for people to distinguish which version they have.

Closing this ticket now.

Also available in: Atom PDF